- Qt 6.11
- Qt GUI
- C++ Classes
- QCocoaScreen
- Qt 6.11.1 Reference Documentation

# QNativeInterface::QCocoaScreen Struct

Native interface to a screen on macOS. More...

Header: | `#include <QCocoaScreen>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.11

- List of all members, including inherited members

## Public Functions

virtual NSScreen * | nativeScreen() const = 0

## Detailed Description

Accessed through QScreen::nativeInterface().

## Member Function Documentation

### `[pure virtual]` NSScreen *QCocoaScreen::nativeScreen() const

Returns the underlying NSScreen of this QScreen.